> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ad-visibility breakdown by dimension



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/brands/{brand_id}/ads/breakdown
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/ads/breakdown:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Ads
      summary: Ad-visibility breakdown by dimension
      operationId: get_brand_ads_breakdown
      parameters:
        - name: dimension
          in: query
          required: false
          description: |-
            Default provider:
             * `provider` 
             * `region` 
             * `advertiser` 
             * `contested_prompts` 
             * `new_advertisers` 
             
          schema:
            enum:
              - provider
              - region
              - advertiser
              - contested_prompts
              - new_advertisers
            type: string
        - name: filter[topic_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[region_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[provider_ids]
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: filter[ran_at_start]
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: filter[ran_at_end]
          in: query
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: breakdown rows
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ad_breakdown_row'
                  meta:
                    type: object
                    properties:
                      dimension:
                        type: string
                required:
                  - data
        '400':
          description: validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: brand not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    ad_breakdown_row:
      type: object
      properties:
        key:
          type: string
        label:
          type: string
        appearance_count:
          type: integer
        ad_count:
          type: integer
        advertiser_count:
          type: integer
        first_seen_at:
          type: string
          format: date-time
          nullable: true
      required:
        - key
        - label
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````